CHDIST.FR(1)

NOM
chdist - Script pour facilement jouer avec différentes distributions

SYNOPSIS
chdist [options] [commande] [paramètres de la commande]

DESCRIPTION
chdist est une réécriture de ce qu'était "MultiDistroTools" (ou "mdt"). Ce programme permet de créer des "arbres APT" pour différentes distributions, facilitant la récupération du statut de paquets d'autres distributions sans, par exemple, utiliser de chroot.

OPTIONS

-h, --help
    Afficher un message sur l'utilisation.

-d, --data-dir REP
    Choisir le répertoire des données (par défaut : ~/.chdist/).

-a, --arch ARCH
    Choisir l'architecture (par défaut : "dpkg --print-architecture").

--version
    Afficher les informations sur la version.

COMMANDES

create DIST [URL VERSION SECTIONS]
    Préparer une nouvelle arborescence nommée DIST

apt DIST <update|source|show|showsrc|...>
    Exécuter apt dans DIST

apt-get DIST <update|source|...>
    Exécuter apt-get dans DIST

apt-cache DIST <show|showsrc|...>
    Exécuter apt-cache dans DIST

apt-file DIST <update|source|...>
    Exécuter apt-file dans DIST

apt-rdepends DIST [...]
    Exécuter apt-rdepends dans DIST

aptitude DIST [...]
    Exécuter aptitude dans DIST

src2bin DIST PQTSRC
    Afficher la liste des paquets binaires de PQTSRC dans DIST

bin2src DIST PQTBIN
    Afficher la liste des paquets source de PQTBIN dans DIST

compare-packages DIST1 DIST2 [DIST3, ...]
compare-bin-packages DIST1 DIST2 [DIST3, ...]
    Afficher la liste des versions de paquets de plusieurs DISTributions

compare-versions DIST1 DIST2
compare-bin-versions DIST1 DIST2
    Comme pour compare-packages/compare-bin-packages, mais exécuter également dpkg --compare-versions et afficher où se trouve le paquet le plus récent.

compare-src-bin-packages DIST
    Comparer les sources et binaires de DIST

compare-src-bin-versions DIST
    Comme pour compare-src-bin-packages, mais exécuter également dpkg --compare-versions et afficher où se trouve le paquet le plus récent

grep-dctrl-packages DIST [...]
    Exécuter grep-dctrl sur tous les fichiers *_Packages de DIST

grep-dctrl-sources DIST [...]
    Exécuter grep-dctrl sur tous les fichiers *_Sources de DIST

list
    Afficher la liste des DISTributions disponibles

COPYRIGHT
Ce programme est copyright 2007 par Lucas Nussbaum et Luk Claes. Ce programme est fourni SANS AUCUNE GARANTIE.

Il est publié sous les termes de la Licence Publique Générale (GPL) version 2 ou toute version ultérieure (à votre discrétion).

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021